import { EventEmitter } from '../../../stencil.core';
import { ColumnDefinition, ReorderData } from '../table.types';
export declare class ColumnSelector {
    private columnsUpdatedListener;
    private columnToggleListener;
    private columnReorderListener;
    private menu;
    private table;
    element: HTMLAnjColumnSelectorElement;
    columns: ColumnDefinition[];
    /**
     * Fires when the column is toggled visible/hidden
     */
    anjColumnToggle: EventEmitter<string>;
    /**
     * Emitted when the column has been changed
     */
    anjReorder: EventEmitter<ReorderData>;
    componentWillLoad(): void;
    componentDidLoad(): void;
    componentDidUnload(): void;
    private onColumnsChanged;
    private onColumnToggle;
    private onColumnReorder;
    render(): any;
}
